# $Id: class_scope.rb,v 1.3 2002/12/16 09:44:52 yuya Exp $

a = 1
p(a)

class Foo

  a = 2
  p(a)

  class Bar

    a = 3
    p(a)

    class Baz

      a = 4
      p(a)

    end

    p(a)

  end

  p(a)

end

p(a)
